%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define pkg_version 1.0.0
%define pkg_release 2%{?_dist_release}

Summary:	Python binding for the Clutter-Gst
Summary(ja):	Clutter-Gst 用 Python バインディング
Name:		pyclutter-gst
Version:	%{pkg_version}
Release:	%{pkg_release}
Source0:	http://www.clutter-project.org/sources/%{name}/1.0/%{name}-%{version}.tar.bz2
License:	LGPLv2+
Group:		Development/Languages 
URL:		http://www.clutter-project.org/ 

BuildRequires:	python-devel		>= 2.5.0
BuildRequires:	clutter-devel		>= 1.0.0
BuildRequires:	clutter-gst-devel	>= 1.0.0
BuildRequires:	pyclutter-devel		>= 1.0.0
BuildRequires:	gstreamer-devel		>= 0.10
BuildRequires:	gstreamer-python	>= 0.10
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor: Project Vine
Distribution: Vine Linux
Packager: Takemikaduchi


%description
This archive provides Python bindings for the clutter-gtk integration library.


%package devel
Summary:	PyClutter-Gst development environment
Summary(ja):	PyClutter-Gst の開発環境
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pyclutter-devel

%description devel
Header files and libraries for building a extension library for the pyclutter-gst.


%prep
%setup -q


%build
%configure --enable-static=no 
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%{__rm} -rf ${RPM_BUILD_ROOT}/%{python_sitearch}/cluttergst/*.la


%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{python_sitearch}/cluttergst
%{_datadir}/pyclutter/1.0/defs/cluttergst*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/pyclutter-gst-1.0.pc


%changelog
* Sun Sep 26 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.0-2
- rebuild with rpm-4.8.1 for pkg-config file

* Sat May 22 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 0.10.0-1
- initial build for Vine Linux

